<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Userauth
{

	public function __construct()
	{
		$this->CI =& get_instance();
		$this->CI->load->library('session');
	}
	public function logged_in(){

		if ( ! $this->CI->session->userdata('user_id'))
		{ 
			redirect('admin');
		}
	}

	public function logged_admin(){

		if (! $this->CI->session->userdata('user_id') && $this->CI->session->userdata('user_type') != "admin")
		{ 
			redirect('admin');
		}
	}
	
}

